Subject: bug#41754: [feature/native-comp] Fix crash when loading lambdas from dumps with --enable-checking.

From: Andrea Corallo <[email-masked]>
Date: Mon, 08 Jun 2020 15:42:12 +0000

Nicolas Bértolo <[email-masked]> writes:

> Hi Andrea,
>
> I have seen that a lambda may be loaded many times when loading a dump. Is this
> expected? I don't know enough to tell. If it is, the attached patch prevents an
> assertion failure when building with --enable-checking.
>
> Nico.

Hi,

had a look, this is a real bug.  Luckily except for failing the test
should not introduce instability in normal builds, still the test is
correct.

I'll come up with the fix once is tested.

Thanks

  Andrea

-- 
[email-masked]